#Define	EditColorN	"Black/Honeydew"

class SeekerCR(parentObj) of SeekerPX(parentObj) from SeekerPX.cc custom
// This is specific use seeker control for customer forms. A
// specific use control may be desirable when using the same
// seeker control in many forms. The class includes the labels
// for the edit controls, navigation buttons, code to set the
// datalinks, and onEditSel code.

	with (this)
      width 		= 371
      height 		= 36
      borderStyle = 3	// None
	endwith

	*- Labels
   this.LABEL1 = new TEXTLABEL(this)
   with (this.LABEL1)
      height 		= 14
      left 			= 6
      top 			= 0
      width 		= 80
      text 			= "Customer Name"
      fontSize		= 8
   endwith

   this.LABEL2 = new TEXTLABEL(this)
   with (this.LABEL2)
      height 		= 14
      left 			= 167
      top 			= 0
      width 		= 56
      text 			= "Account #"
      fontSize		= 8
   endwith

   this.LABEL3 = new TEXTLABEL(this)
   with (this.LABEL3)
      height 		= 14
      left 			= 228
      top 			= 0
      width 		= 40
      text 			= "Region"
      fontSize		= 8
   endwith

   this.LABEL4 = new TEXTLABEL(this)
   with (this.LABEL4)
      height		= 14
      left			= 280
      top			= 0
      width			= 56
      text			= "Last Order"
      fontSize		= 8
   endwith

	*- Border
   this.Box1 = new RECTANGLE(this)
   with (this.Box1)
      left			= 4
      top			= 14
      width			= 365
      height		= 22
      text 			= ""
      colorNormal	= "BtnText/Black"
      borderStyle = 7	// Client
   endwith

	*- Edit Controls
   this.Edit1 = new SPXEdit(this)
   with (this.Edit1)
      height 		= 17
      left			= 6
		top			= 16
   	width			= 160
		colorNormal	= EditColorN
      value			= ""
   endwith

   this.Edit2 = new SPXEdit(this)
   with (this.Edit2)
		height		= 17
   	left			= 167
		top			= 16
   	width			= 60
      function		= "R"
      picture		= "99-999999"
		colorNormal	= EditColorN
      value			= ""
   endwith

   this.Edit3 = new SPXEdit(this)
   with (this.Edit3)
      height 		= 17
      left			= 228
      top			= 16
   	width			= 50
		colorNormal	= EditColorN
      value			= ""
   endwith

	this.Edit4 = new SPXEdit(this)
   with (this.Edit4)
      enabled		= false
      height		= 17
      left			= 279
      top			= 16
      width			= 60
		colorNormal	= EditColorN
      value			= ""
   endwith

   *- Buttons
   this.Back = new PUSHBUTTON(this)
   with (this.Back)
      onClick	= class::Navigate_onClick
      height 	= 18
      left		= 340
      top 		= 16
      width 	= 14
      text 		= ""
      speedBar = true
      upBitmap = "RESOURCE TS_PREV"
      speedTip	= "Previous Client"
   endwith

   this.Next = new PUSHBUTTON(this)
   with (this.Next)
      onClick	= class::Navigate_onClick
      height	= 18
      left 		= 354
      top 		= 16
      width 	= 14
      text 		= ""
      speedBar = true
      upBitmap = "RESOURCE TS_NEXT"
      speedTip = "Next Client"
   endwith

   function beforeOpen(rowsetObj)
   *******************
   	rowsetObj.indexName = "UName"
      rowsetObj.first()

   	this.edit1.dataLink = rowsetObj.fields['Name']
      this.edit2.dataLink = rowsetObj.fields['ID']
      this.edit3.dataLink = rowsetObj.fields['Region']
      this.edit4.dataLink = rowsetObj.fields['LastOrder']

      SeekerPX::beforeOpen()


	function onOpen
   ***************
   	this.setFocus()

      return

	function onEditSel(cName)
   ******************
   	do case
      case cName = "EDIT1"
      	this.setIndex("UName")

      case cName = "EDIT2"
      	this.setIndex("ID")

      case cName = "EDIT3"
      	*- Note that due to grid display problems when blanking
         // an indexName, we have to avoid blanking the index
         // with setIndex() and instead have to set the findKey
         // flag to false to use a non-indexed search.

			//this.setIndex()	// Non-indexed search

         this.findKey = false
      endcase

		return

	function Navigate_onClick
   *************************
   *- Navigation button onClick code
   // This navigates the dataSource rowset by calling
   // the controls onNavigateKey method

   	local nKey
      nKey = 40

      if this.name = "BACK"
      	nKey = 38
      endif

      this.parent.setFocus(true)
      this.parent.onNavigateKey(nKey)

      return


endclass



